> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all available catalogs

> Returns all data catalogs available to your tenant. Use the returned `id` values as the `catalogId` in other catalog requests. Catalog ids are the catalog names (they can contain spaces, so URL-encode them in request paths). For more on managing catalogs through the API, see [Data catalogs and the Vantage API](/vantage/documentation/skill-designer/document/using-data-catalogs/use-with-api).



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/catalogs
openapi: 3.0.1
info:
  title: Vantage processing REST API
  description: >-
    The Vantage Processing REST API lets you process documents programmatically:
    create transactions, upload files, launch skills, monitor progress, and
    download results. For authentication and a first end-to-end request, see the
    [Getting started guide](/vantage/developer/getting-started).
  version: '1.0'
  x-application-version: 1.0.0-20251028.13+6e102d0c2a7a440df9ee9615e09b3c8c333587ac
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs:
    get:
      tags:
        - Catalogs
      summary: Lists all available catalogs
      description: >-
        Returns all data catalogs available to your tenant. Use the returned
        `id` values as the `catalogId` in other catalog requests. Catalog ids
        are the catalog names (they can contain spaces, so URL-encode them in
        request paths). For more on managing catalogs through the API, see [Data
        catalogs and the Vantage
        API](/vantage/documentation/skill-designer/document/using-data-catalogs/use-with-api).
      operationId: GetCatalogs
      responses:
        '200':
          description: All catalogs are successfully returned
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Unique identifier of the catalog
        name:
          minLength: 1
          type: string
          description: Name of the catalog
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````